'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _path, _g, _path2, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgSouthKoreaCircled = function SvgSouthKoreaCircled(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 48 48",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React__namespace.createElement("mask", {
    id: "SouthKoreaCircled_svg__a",
    width: 46,
    height: 46,
    x: 1,
    y: 1,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    d: "M1 24C1 11.298 11.298 1 24 1s23 10.298 23 23-10.297 23-23 23S1 36.703 1 24"
  }))), _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#SouthKoreaCircled_svg__b)",
    mask: "url(#SouthKoreaCircled_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#SouthKoreaCircled_svg__c)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    fillRule: "evenodd",
    d: "M1 1h46v46H1z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "m2.975 16.053 5.608-8.408 1.401.934-5.608 8.409zm2.102 1.403 5.608-8.409 1.402.935-5.608 8.408zm2.102 1.402 5.608-8.408 1.402.934-5.608 8.409zM33.807 36.616l5.608-8.409 1.402.935-5.608 8.408zm2.103 1.402 5.608-8.408 1.401.934-5.608 8.409zm2.102 1.403 5.608-8.409 1.402.935-5.608 8.408zM35.91 31.944l7.008 4.674z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "m36.143 31.593-.467.7 7.008 4.674.467-.7z"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#CD2E3A",
    fillRule: "evenodd",
    d: "M15.589 18.391c3.097-4.644 9.372-5.898 14.016-2.8s5.899 9.372 2.8 14.016L15.589 18.391",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#0047A0",
    fillRule: "evenodd",
    d: "M15.589 18.39c-3.097 4.645-1.844 10.92 2.8 14.017s10.92 1.844 14.017-2.8a5.054 5.054 0 1 0-8.41-5.608l-8.408-5.608",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#CD2E3A",
    d: "M19.794 26.249a5.054 5.054 0 1 0 0-10.108 5.054 5.054 0 0 0 0 10.108"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M8.587 40.354 2.98 31.946l1.402-.935 5.608 8.409zm2.103-1.401-5.608-8.409 1.401-.934 5.608 8.408zm2.102-1.402-5.608-8.408 1.401-.935 5.608 8.409zM39.42 19.792l-5.608-8.409 1.401-.934 5.608 8.408zm2.102-1.402-5.608-8.408 1.402-.935 5.608 8.409zm2.103-1.401L38.017 8.58l1.401-.934 5.608 8.408zM7.535 34.982l2.103-1.402zm28.38-18.927 2.453-1.636zm4.555-3.037 2.102-1.402z",
    clipRule: "evenodd"
  }), /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#FFFFFE",
    d: "m7.769 35.332-.467-.7 2.102-1.403.467.7zm28.38-18.927-.468-.701 2.453-1.636.467.7zm4.555-3.038-.467-.7 2.102-1.402.467.7z"
  })))), _path2 || (_path2 = /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#C3CDD5",
    fillRule: "evenodd",
    d: "M1 24c0 12.703 10.298 23 23 23s23-10.297 23-23S36.703 1 24 1 1 11.298 1 24M24 0C10.745 0 0 10.745 0 24s10.745 24 24 24 24-10.745 24-24S37.255 0 24 0",
    clipRule: "evenodd"
  })), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "SouthKoreaCircled_svg__b"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })), /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "SouthKoreaCircled_svg__c"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "#fff",
    d: "M1 1h46v46H1z"
  })))));
};

exports.ReactComponent = SvgSouthKoreaCircled;
